<?php
$dados_acesso = explode("@",query_string('1'));
$login_X = code_decode($dados_acesso[0],"D");
$senha_Y = code_decode($dados_acesso[1],"D");

if($login_X == '' || $senha_Y == '') {

$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Usu&aacute;rio ou senha inválidos, tente novamente</div>';

unset($_SESSION["login_logado"]);
header("Location: /login");
exit;
}

// Valida se serviço est ativo ou bloqueado
$valida_status_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings WHERE login = '".$login_X."'"));

if($valida_status_stm["status"] != 1) {
$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Serviço bloqueado! Contate nosso atendimento.</div>';

unset($_SESSION["login_logado"]);
header("Location: /login");
exit;
}

$valida_usuario = mysqli_num_rows(mysqli_query($conexao,"SELECT * FROM streamings WHERE (login = '".$login_X."' AND senha = '".$senha_Y."') AND codigo_cliente = '".$_SESSION["code_user_logged"]."'"));

if($valida_usuario == 1) {

$_SESSION["login_logado"] = $login_X;

header("Location: /dashboard");
exit;

} else {

$_SESSION["status_login"] = '<div class="alert alert-danger" role="alert">Usu&aacute;rio ou senha inválidos, tente novamente</div>';

unset($_SESSION["login_logado"]);
header("Location: /login");
exit;
}
?>